---
lang: en
title: 'API docs: rest.requestbodyvalidationoptions'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.requestbodyvalidationoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RequestBodyValidationOptions](./rest.requestbodyvalidationoptions.md)

## RequestBodyValidationOptions interface

Options for request body validation using AJV

<b>Signature:</b>

```typescript
export interface RequestBodyValidationOptions extends ajv.Options 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [compiledSchemaCache](./rest.requestbodyvalidationoptions.compiledschemacache.md) | <code>WeakMap&lt;SchemaObject &#124; ReferenceObject, ajv.ValidateFunction&gt;</code> | Custom cache for compiled schemas by AJV. This setting makes it possible to skip the default cache. |


